package com.ruoyi.project.sems.safecheck.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.framework.aspectj.lang.annotation.DataScopePlant;
import com.ruoyi.project.sems.safecheck.domain.TSpecWeekcheck;

/**
 * 每周安全排查Mapper接口
 *
 * @author Li
 * @date 2023-08-21
 */
public interface TSpecWeekcheckMapper
{
    /**
     * 查询每周安全排查
     *
     * @param id 每周安全排查ID
     * @return 每周安全排查
     */
    public TSpecWeekcheck selectTSpecWeekcheckById(Long id);

    /**
     * 查询每周安全排查列表
     *
     * @param tSpecWeekcheck 每周安全排查
     * @return 每周安全排查集合
     */
    @DataScopePlant(deptAlias = "d")
    public List<TSpecWeekcheck> selectTSpecWeekcheckList(TSpecWeekcheck tSpecWeekcheck);

    /**
     * 新增每周安全排查
     *
     * @param tSpecWeekcheck 每周安全排查
     * @return 结果
     */
    public int insertTSpecWeekcheck(TSpecWeekcheck tSpecWeekcheck);

    /**
     * 修改每周安全排查
     *
     * @param tSpecWeekcheck 每周安全排查
     * @return 结果
     */
    public int updateTSpecWeekcheck(TSpecWeekcheck tSpecWeekcheck);

    /**
     * 删除每周安全排查
     *
     * @param id 每周安全排查ID
     * @return 结果
     */
    public int deleteTSpecWeekcheckById(Long id);

    /**
     * 批量删除每周安全排查
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTSpecWeekcheckByIds(Long[] ids);

    int cancelTSpecWeekcheckByIds(Long id);
}
